/* Commen Element Design */
/* ///////////////////////////////////// */
/* Body */
body {
  scroll-behavior: smooth;
  background-color: #f3f1f0;
  background-image: url(pics/bac.png);
}

/* Commen Styles */

.title-one {
  font-family: "Times New Roman", Times, serif;
  font-size: 4.8rem;
  /* text-align: center; */
}

.title-two {
  font-family: Arial, Helvetica, sans-serif;
  color: #c9a395;
  padding: 2% 0 0 0;
}

.title-three {
  font-family: "Times New Roman", Times, serif;
  color: #c9a395;
  padding: 0% 0 0 0;
  text-align: center;
}

.para {
  font-family: Arial, Helvetica, sans-serif;
  padding: 1% 0;
  font-size: 1.4rem;
  text-align: left;
}

/* LINE */
.line {
  width: 100%;
  border: 1px solid #c9a395;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin-left: 50%;
  transform: translate(-50%);
}

.card {
  background-color: #2f526800;
  border: #c9a395 solid 1px;
  align-items: center;
  text-align: center;
  padding: 4% 3%;
  align-content: center;
  margin-top: 9%;
  cursor: pointer;
  transition: ease-out 0.4s;
}

.title {
  font-family: "Times New Roman", Times, serif;
  margin: 10% 0 4%;
}

.serv-para {
  font-family: Arial, Helvetica, sans-serif;
}

/* ========== General Button Styles ========== */
.btn,
.read-more-button,
.contact-btn button {
  background-color: #c9a395;
  color: #fff;
  padding: 0.7rem 1.5rem;
  border: none;
  border-radius: 5px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1rem;
  cursor: pointer;
  transition: all 0.3s ease;
}

/* ========== Button Hover Effect ========== */
.btn:hover,
.read-more-button:hover,
.contact-btn button:hover {
  color: #ffffff;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
  transform: translateY(-2px);
}

.top {
  margin-top: 5%;
}

.border {
  border: #c9a395 solid 5px;
  padding: 2%;
}

.second-card {
  background-color: #2f526800;
  border: #c9a395 solid 1px;
  align-items: center;
  text-align: center;
  padding: 15% 2% 5%;
  align-content: center;
  margin-top: 0%;
  cursor: pointer;
  transition: ease-out 0.4s;
}

.paragh {
  font-family: Arial, Helvetica, sans-serif;
  color: #fff;
  margin: 5% 0% 2%;
}

.process {
  margin-top: 5%;
}

#first-list {
  padding: 0% 0;
  margin: 0;
}

.title-four {
  margin-top: 5%;
}

#heart {
  transform: scale(130%);
}
/* ///////////////////////////////////// */
/* NAVBAR */
#navbar {
  background-color: #2f5268;
}

.navbar {
  padding: 0% 10%;
}

.navbar-brand {
  transform: scale(0.7);
}

.navbar-item {
  color: #fff;
}

.nav-link {
  font-size: 1.1rem;
  font-family: Arial, Helvetica, sans-serif;
}

.link:hover {
  text-decoration: none;
}

.right {
  color: #fff;
}

/* FOOTER */

.title-footer a {
  text-decoration: none;
  color: #fff;
}

.title-footer a:hover {
  text-decoration: underline;
}

.sm {
  padding-top: 2rem;
}

.title-footer {
  font-family: Arial, Helvetica, sans-serif;
  color: #fff;
  padding: 1% 1%;
  margin-top: 3%;
  margin-left: 5%;
  font-size: 1.1rem;
}

.title-footer:hover {
  color: #c9a395;
}

#footer {
  background-color: #343a40;
  color: #fff;
  padding: 4% 10% 1%;
  background-size: cover;
}

.logo-footer:hover {
  cursor: pointer;
}

.last-footer {
  padding: 3% 1%;
  font-weight: bold;
}

.address {
  font-weight: lighter;
  line-height: 28px;
  padding-top: -1%;
}

.copylinks,
.calllinks {
  text-align: center;
  margin-top: 1%;
}

.linked-in,
.call {
  color: #fff;
}

.call:hover {
  text-decoration: none;
  color: #343a40;
}

.linked-in:hover {
  color: #343a40;
  text-decoration: none;
}

/* Signature */
#copy {
  background-color: #c9a395;
  font-family: "Times New Roman", Times, serif;
  color: #343a40;
}

#call {
  background-color: #c9a395;
  font-family: "Times New Roman", Times, serif;
  color: #343a40;
}

#copy:hover {
  color: #fff;
}

/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */

/* MAIN PAGE */
/* Hero Section */
#home {
  background-color: #2f5268;
  color: #fff;
  padding: 9% 10% 6%;
  background-image: url(pics/tropical-green-leaves-.jpg);
  background-size: cover;
  border-bottom-left-radius: 15%;
  margin-top: 2rem;
}

#photo-title {
  padding: 3% 1% 2%;
}

.center-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.hero-photo {
  justify-content: center;
  align-items: center;
  padding-left: 5rem;
}

#size-btn {
  font-size: 1.3rem;
  text-align: center;
  justify-content: center;
  color: #333;
}

.read-more {
  padding: 1.2% 3%;
}

#ph-ruby:hover {
  transform: scale(1.02);
  cursor: pointer;
  transition: ease-in 0.3s;
}

#ph-ruby {
  cursor: pointer;
  transition: ease-out 0.4s;
}

.name-job {
  justify-content: center;
  text-align: center;
}

/* ///////////////////////////////// */
/* Main Page */
/* How Section */
#how {
  background-color: #f3f1f0;
  color: #2f5268;
  padding: 2% 6% 4%;
  background-image: url(pics/bac.png);
  background-size: cover;
  text-align: center;
}

.process {
  margin-top: 5%;
  text-align: center;
}

.process-img {
  margin: 0;
  padding: 0;
  filter: invert(32%) sepia(5%) saturate(3799%) hue-rotate(160deg)
    brightness(90%) contrast(96%);
}

/* ///////////////////////////////////// */
/* Main Page */
/* About Section */
#about {
  background-color: #f3f1f0;
  color: #2f5268;
  background-image: url(pics/bac.png);
  background-size: cover;
}

.title-about {
  font-family: "Times New Roman", Times, serif;
  font-size: 4.8rem;
  text-align: center;
}

/* Main Page */
/* What do I do Section */
#action {
  background-color: #2f5268;
  color: #fff;
  padding: 0% 0% 2% 0;
  background-image: url(pics/tropical-green-leaves-.jpg);
  background-size: cover;
  border-top-right-radius: 20%;
  border-bottom-left-radius: 20%;
  text-align: center;
}

/* Middle Section */
.what {
  margin-top: 1.5rem;
}

/* ///////////////////////////////////// */
/* Main Page */
/* CONTACT SECTION */
.temail {
  color: #343a40;
  font-weight: bold;
  transition: color 0.3s ease, font-size 0.3s ease;
  font-size: 1rem;
}

.temail:hover {
  color: #c9a395;
  font-size: 1.1rem;
}

#contact {
  background-color: #f3f1f0;
  color: #2f5268;
  padding: 2% 10% 5%;
  background-image: url(pics/bac.png);
  background-size: cover;
}

.contact-heading {
  text-align: center;
}

.contact-btn {
  text-align: center;
}

/* successful msg  */
@keyframes shine {
  0% {
    background-color: #2f5268;
    color: white;
  }
  50% {
    background-color: #c9a395;
    color: white;
  }
  100% {
    background-color: #2f5268;
    color: white;
  }
}

.shine-animation {
  animation: shine 2s ease infinite; /* Adjust the animation duration and timing here */
}

/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */

/* ////////////////////////////////// */
/* /* About Page */
/* About Me Section */
#about-me {
  background-color: #2f5268;
  color: #fff;
  padding: 11% 8% 3%;
  background-image: url(pics/tropical-green-leaves-.jpg);
  background-size: cover;
  border-bottom-left-radius: 15%;
  text-align: center;
}

.about-title {
  /* margin: 2% 0; */
  text-align: left;
  padding: 13% 0;
}

/* About Page */
/* About My Work */
#about-slide1 {
  background-color: #f3f1f0;
  color: #2f5268;
  padding: 6% 13% 3%;
  background-image: url(pics/bac.png);
  background-size: cover;
}

.about-image-one {
  padding-left: -10px;
}

.about-image-one,
.about-image-two,
.about-image-three {
  margin: 0;
  position: absolute;
  border-top-left-radius: 20%;
  border-bottom-right-radius: 20%;
  filter: drop-shadow(11px 6px 5px #5b5b5b9c);
  border-bottom: #c9a395 6px solid;
}

#about-title-one {
  padding: 0% 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
  margin-top: 0;
  /* text-align: center; */
}

.row1 {
  margin: 1% 0 16%;
}

.row2 {
  margin: 2% 0 3%;
}

#about-btn {
  padding: 0% 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
/* About Page */
/* About Life Balance */
#about-life-balance {
  background-color: #2f5268;
  color: #fff;
  padding: 3% 8% 3%;
  background-image: url(pics/tropical-green-leaves-.jpg);
  background-size: cover;
  border-top-right-radius: 15%;
  text-align: left;
}

#image-scale {
  animation: 3s linear infinite;
}

.about-img {
  align-items: center;
  align-content: center;
  justify-content: center;
  text-align: right;
}

@keyframes animate {
  from {
    transform: rotateZ(0deg);
  }
  to {
    transform: rotateZ(360deg);
  }
}

/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ////////////////////////////////// */
/* ///////////////////////////////////// */
/* ////////////////////////////////// */

/* TREATMENTS PAGE */
/* HOW IT WORKS */
.slider-text {
  margin-top: 4rem;
}

#slider {
  padding: 7% 1% 7% 1%;
  color: #2f5268;
  text-align: center;
}
.link {
  color: #c9a395;
  font-size: 1.5rem;
}

.container-cards {
  align-items: center;
  text-align: center;
}

/* Treatment Page */
/* Styling the Treatment overlay */

.service-card {
  background-color: #ffffff;
  border: 1px solid #e0e0e0;
  padding: 20px;
  margin: 10px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
  border-radius: 5px;
}

.service-card h2 {
  font-size: 24px;
  margin-bottom: 10px;
}

.service-card p {
  font-size: 16px;
  color: #333;
}

.read-more-button {
  background-color: #c9a395;
  color: #fff;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  cursor: pointer;
  border-radius: 5px;
}

.read-more-button:hover {
  color: #333;
}

/* Styles for the overlay */
.div.overlay-content {
  width: 80%;
}
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  display: none;
  justify-content: left;
  align-items: center;
  z-index: 999;
  opacity: 0.92;
  padding: 5px;
  overflow-y: auto;
  height: fit-content;
}

.overlay.show {
  display: flex;
}

.overlay-content {
  color: #2f5268;
  border-radius: 15px;
  color: #2f5268;
  max-width: 95%;
  padding: 3rem 2rem;
  max-height: 80vh;
}

#ovtxt {
  text-align: left;
}

.close-overlay-button {
  background-color: #c9a395;
  color: #fff;
  border: none;
  /* padding: 10px 20px; */
  font-size: 16px;
  cursor: pointer;
  margin-bottom: 20px;
  border-radius: 5px;
}

/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ///////////////////////////////////// */
/* ////////////////////////////////// */
/* ////////////////////////////////// */

/* Media Queries */
@media (max-width: 768px) {
  #about-slide1 {
    margin-bottom: 15rem;
    height: 550%;
  }

  .name-job {
    width: 50%;
  }

  .row1 {
    margin: 1% 0 100%;
  }

  .row2 {
    margin: 5% 0 5%;
  }
}

/* Media quaries for different screen sizes for home page */

/* Extra small devices (phones, less than 576px) */
@media (max-width: 575.98px) {
  /* Add your styles here for extra small devices */
  #photo-title {
    text-align: center;
  }
  #what-I-do {
    text-align: center;
    /* padding: 4rem 1rem;
    margin: 2rem 1rem; */
  }
  #action {
    padding: 0.3rem 1rem 2rem 2rem;
  }

  .about-title {
    text-align: center;
  }

  #photo-title {
    text-align: center;
  }
  .collapse {
    height: 55vh;
  }

  .mobile-size {
    font-size: 3rem;
  }
}

/* Small devices (phones, 576px and up) */
@media (min-width: 576px) {
  /* Add your styles here for small devices */
  #what-I-do {
    text-align: center;
    /* padding: 4rem 1rem;
    margin: 2rem 1rem; */
  }
  #action {
    padding: 0.2rem 1rem 3rem 2rem;
  }
  .action {
    text-align: center;
  }

  .navbar-brand {
    align-items: center;
    justify-content: center;
    align-content: center;
    padding-left: -2rem;
  }
}
/* //////////////////////////////// */
/* //////////////////////////////// */
/* //////////////////////////////// */
/* //////////////////////////////// */

/* Media Quaries */

/* Media query for screens with a maximum width of 480px */
@media (max-width: 480px) {
  .overlay-content {
    /* Further adjust margin-top for even smaller screens */
    margin-top: 3%; /* Adjust the margin-top for very small screens */
  }
}

/* For small screens (tablets and phones) */
@media (max-width: 568px) {
  .overlay-content {
    margin-top: 10rem;
    padding-top: 5rem;
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .overlay-content {
    width: 90%;
    max-width: 90%;
    padding: 20px;
    margin-top: 10rem;
    padding-top: 5rem;
  }
}
@media (max-width: 768px) {
  .overlay-content {
    margin-top: 5%;
  }
}

/* For medium and large screens (desktop) */
@media (min-width: 992px) {
  #photo-title {
    text-align: left;
  }
}
@media (max-width: 991px) {
  #photo-title {
    text-align: center;
  }
}
